<?php
$token = '--yourtoken--';

require_once('site_list.php');
require_once('database.php');

$db = new MyDb();

include('inc/html_header.inc.php');
include('inc/menu.inc.php');
?>

<main>
  <?php
  if(!$de && !$en && !$rd) $rd = $de = $en = true;  // If everything is set to not be displayed, display it all
  foreach($site_list as $site => $n) {
    $display = false;
    switch ($n[0]) {
      case 'de':
        if($de) $display = true;
        break;
      case 'en':
        if($en) $display = true;
        break;
      case 'rd':
        if($rd) $display = true;
        break;
      default:
        break;
    }
    if($display) {
      $feeds = $db->getFeeds($site);
      echo "\n<section>\n";
      echo "<h2 id=\"$site\">".$n[1]."</h2>\n<ul>\n";
      foreach($feeds as $f):
        $source = $f[2];
        $url = $f[3];
        $category = $f[6];
        $title = str_replace('"', '\'', utf8_encode($f[4]));
        $text = str_replace('"', '\'', utf8_encode($f[5]));
        if(strlen($title) < 1) $title = $text; // Some entries have no title
        elseif(strlen($text) < 1) $text = $title; // others have no text
        ?>
        <li><a title="<?=$text?>" href="<?=$url?>"><?=$title?></a></li>
      <?php
      endforeach;
      echo "<li><a class=\"more\" href=\"source.php?s=$site\">Mehr..</a></li>";
      echo "\n</ul></section>\n\n";
    }
  }
  ?>
</main>

<?php include('inc/footer.inc.php'); ?>
