<?php
if(!isset($_GET['s'])) header("Location: index.php");
$s = $_GET['s'];

require_once('site_list.php');
if(!array_key_exists($s, $site_list)) header("Location: index.php");

$token = '--yourtoken--';
require_once('database.php');

$db = new MyDb();
$entries = $db->getCompleteSource($s);

include('inc/html_header.inc.php');
include('inc/source_menu.inc.php');
?>

<main>
  <h2><?=$site_list[$s][1]?></h2>
  <ul>
    <?php
    foreach ($entries as $e) {
      $source = $e[2];
      $url = $e[3];
      $category = $e[6];
      $title = str_replace('"', '\'', utf8_encode($e[4]));
      $text = str_replace('"', '\'', utf8_encode($e[5]));
      if(strlen($title) < 1) $title = $text; // Some entries have no title
      elseif(strlen($text) < 1) $text = $title; // others have no text
      ?>
      <li>
        <?php if(strlen($category) > 0) echo $category . ':'; ?>
        <a title="<?=$text?>" href="<?=$url?>"><?=$title?></a>
      </li>
      <?php
    }
    ?>
  </ul>
</main>
<?php include('inc/footer.inc.php'); ?>
